Skip to main content
GET
/
powerpath
/
placement
/
getAllPlacementTests
Get all placement tests
curl --request GET \
  --url https://api.alpha-1edtech.ai/powerpath/placement/getAllPlacementTests \
  --header 'Authorization: Bearer <token>'
{
  "placementTests": [
    {
      "component_resources": {},
      "resources": {},
      "resources_metadata": {},
      "assessment_line_items": {},
      "assessment_results": [
        {}
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.timeback.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

student
string
required

The sourcedId of the student

subject
enum<string>
required

The subject name

Available options:
Reading,
Language,
Vocabulary,
Social Studies,
Writing,
Science,
FastMath,
Math,
None,
Other

Response

Success

placementTests
object[]
required